# Interface JmolTouchSimulatorInterface

All Known Implementing Classes:
  `JmolTouchSimulator`

public interface JmolTouchSimulatorInterface

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`endRecording()`
`void`
`mouseDragged(long time, int x, int y)`
`void`
`mousePressed(long time, int x, int y)`
`void`
`mouseReleased(long time, int x, int y)`
`void`
`startRecording()`
`boolean`
`startSimulator(Object display)`
`void`
`toggleMode()`

## Method Details

### startSimulator

boolean startSimulator(Object display)

### toggleMode

void toggleMode()

### mousePressed

void mousePressed(long time, int x, int y)

### mouseReleased

void mouseReleased(long time, int x, int y)

### mouseDragged

void mouseDragged(long time, int x, int y)

### startRecording

void startRecording()

### endRecording

void endRecording()

### dispose

void dispose()